package kz.pyt.ui.theme

import androidx.compose.ui.graphics.Color

data class Colors(
    val main: Color,
    val textGray: Color,
    val bg: Color,
    val bg1: Color,
    val bgGray: Color,
    val bgButton: Color,
    val bgButtonSecondary: Color,
    val iconBlack: Color,
    val blue: Color,
    val blueDeep: Color,
    val blueLight: Color,
    val white: Color,
    val black: Color,
    val gray1: Color,
    val gray2: Color,
    val gray3: Color,
    val gray4: Color,
    val gray5: Color,
    val gray6: Color,
    val gray7: Color,
    val gray8: Color,
    val gray: Color,
    val red: Color,
    val shadow: Color,
    val stroke: Color,
    val stroke2: Color,
    val stroke3: Color,
    val error: Color,
    val shimmer: Color,
    val disabledText: Color,
    val primaryText: Color,
    val accentText: Color,
    val checkGreen: Color,
    val notificationGreen: Color,
    val notificationRed: Color,
    val lowGreen: Color,
    val highScore: Color,
    val highLowScore: Color,
    val highUpScore: Color,
    val mediumLowScore: Color,
    val mediumHighScore: Color,
    val lowHighScore: Color,
    val lowDownScore: Color,
    val lowestScore: Color,
    val yellow: Color,
    val yellow2: Color,
    val settingsGreen: Color,
    val transparent: Color,
    val goldGradientLight: Color,
    val goldGradientDark: Color,
    val goldGradientMedium: Color,
    val silverGradientLight: Color,
    val silverGradientDark: Color,
    val silverGradientMedium: Color,
    val bronzeGradientLight: Color,
    val bronzeGradientDark: Color,
    val bronzeGradientMedium: Color,
    val placeBronzeGradientMedium: Color,
    val placeBronzeGradientLight: Color,
    val placeBronzeGradientDark: Color,
    val tariffGoldGradientDark: Color,
    val tariffGoldGradientLight: Color,
    val tariffGoldTextColor: Color,
    val bronze: Color,
    val bgSearch: Color,
    val bgLate: Color,
    val borderSearch: Color,
    val taskGradientTop: Color,
    val taskGradientBottom: Color,
    val darkBackground: Color,

    val bgFillInfo: Color,
    val bgFillPrimary: Color,
    val bgBluish: Color,
    val warningText: Color,
    val chatLime: Color,
    val searchBackground: Color,
)

val lightColors = Colors(
    main = Color(0xFFFFAD32),
    textGray = Color(0xFF8996A2),
    bg = Color(0xFFEDF0F2),
    bg1 = Color(0xFFF6F7F9),
    bgGray = Color(0xFFF5F5F7),
    bgButton = Color(0xFF384046),
    bgButtonSecondary = Color(0xFFEDF0F2),
    iconBlack = Color(0xFF384046),
    white = Color.White,
    black = Color.Black,
    blue = Color(0xFF4CA4C9),
    blueDeep = Color(0xFF207DE9),
    blueLight = Color(0xFFDEEFFF),
    shimmer = Color(0xFFF1EFEF),
    error = Color(0xFFF24439),
    gray1 = Color(0xFF8E8E93),
    gray2 = Color(0xFFAEAEB2),
    gray3 = Color(0xFFC7C7CC),
    gray4 = Color(0xFFD1D1D6),
    gray5 = Color(0xFFE5E5EA),
    gray6 = Color(0xFFF2F2F7),
    gray7 = Color(0xFFD9D9D9),
    gray8 = Color(0xFFFBFBFB),
    gray = Color(0xFFB6B6B6),
    red = Color(0xFFEF5533),
    shadow = Color(0x4D93A1A9),
    stroke = Color(0xFFD4D4D4),
    disabledText = Color(0xFF8996A2),
    primaryText = Color(0xFF384046),
    accentText = Color(0xFF9BA1AE),
    checkGreen = Color(0xff27ae60),
    lowGreen = Color(0x2627AE60),
    highScore = Color(0xff27ae60),

    highLowScore = Color(0xffF8DC5E),
    highUpScore = Color(0xff7FBE18),

    lowHighScore = Color(0xff7FBE18),
    lowDownScore = Color(0xff7FBE18),


    mediumLowScore = Color(0xffffad32),
    mediumHighScore = Color(0xffF7D952),
    lowestScore = Color(0xFFE8392E),
    yellow = Color(0xFFF5A81E),
    yellow2 = Color(0xFFF5D54C),
    darkBackground = Color(0xFF384046),

    goldGradientLight = Color(0xfffffa82),
    goldGradientDark = Color(0xffe9ab1c),
    goldGradientMedium = Color(0xfff9e15b),

    silverGradientLight = Color(0xfff5f8ff),
    silverGradientDark = Color(0xff93a1a9),
    silverGradientMedium = Color(0xffccdbe3),

    bronzeGradientLight = Color(0xffffb649),
    bronzeGradientDark = Color(0xffa56f1f),
    bronzeGradientMedium = Color(0xffffcb7c),

    placeBronzeGradientMedium = Color(0xffF19F5F),
    placeBronzeGradientLight = Color(0xffF6CAA2),
    placeBronzeGradientDark = Color(0xffDE7B4B),

    tariffGoldGradientLight = Color(0xfff9e15b),
    tariffGoldGradientDark = Color(0xffa45c19),
    tariffGoldTextColor = Color(0xFFA07B6A),

    bronze = Color(0xffa56f1f),
    bgSearch = Color(0xfffcfcfd),
    bgLate = Color(0xfff2994a),
    borderSearch = Color(0xFFEFEFEF),
    settingsGreen = Color(0xFF31AC8F),
    transparent = Color.Transparent,
    stroke2 = Color(0xFFCBD3DA),
    stroke3 = Color(0x40CBD3DA),

    taskGradientTop = Color(0xFFCC2C89),
    taskGradientBottom = Color(0xFFF99C4B),

    notificationGreen = Color(0xff31AC8F),
    notificationRed = Color(0xffff6359),

    bgFillInfo = Color(0XFF1D8DE1),
    bgFillPrimary = Color(0xFFEAEBEC),
    bgBluish = Color(0xFFB3CEE2),
    warningText = Color(0xFF77511A),
    chatLime = Color(0xFFDCF7C5),
    searchBackground = Color(0xFFEFF1F8),
)
